%define oname GnuPGInterface

Summary: GnuPG-Interface module for python
Name: python-GnuPG-Interface
Version: 0.3.2
Release: %mkrel 18
Source0: http://py-gnupg.sourceforge.net/download/%{oname}-%{version}.tar.bz2
License: LGPLv2
Group: Development/Python
Url: http://py-gnupg.sourceforge.net/
BuildRequires: python-devel
BuildRequires:  gnupg
BuildArch:	noarch

%description
This module provides Python bindings for the GnuPG.

%prep
%setup -q -n %oname-%version
chmod 644 ./*

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT

%files
%doc COPYING ChangeLog MANIFEST NEWS README THANKS
%{py_puresitedir}/GnuPGInterface.py*
%{py_puresitedir}/*.egg-info







%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.3.2-18.mga6
+ Revision: 946562
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.2-17.mga5
+ Revision: 743634
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.2-16.mga5
+ Revision: 728590
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.2-15.mga5
+ Revision: 687872
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.3.2-13.mga4
+ Revision: 542960
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.3.2-12.mga4
+ Revision: 498065
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.3.2-11.mga3
+ Revision: 378433
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 23 2011 philippem <philippem> 0.3.2-10.mga1
+ Revision: 57432
- imported package python-GnuPG-Interface


* Wed Feb 23 2011 Philippe Makowski 
- initial import

* Thu Nov 04 2010 Götz Waschk <waschk@mandriva.org> 0.3.2-9mdv2011.0
+ Revision: 593346
- update file list

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-8mdv2010.1
+ Revision: 523760
- rebuilt for 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.3.2-7mdv2010.0
+ Revision: 442140
- rebuild

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 0.3.2-6mdv2009.1
+ Revision: 323527
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.3.2-5mdv2009.0
+ Revision: 259619
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.3.2-4mdv2009.0
+ Revision: 247423
- rebuild

* Sat Dec 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.2-2mdv2008.1
+ Revision: 139212
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Dec 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.2-1mdv2007.0
+ Revision: 91374
- Rebuild against new python
- import python-GnuPG-Interface-0.3.2-1mdk

* Thu May 04 2006 Jerome Martin <jmartin@mandriva.org> 0.3.2-1mdk
- Initial version

